Subject: Re: bug#9370: "tail -f -1" should work

From: Jim Meyering <[email-masked]>
Date: Tue, 13 Sep 2011 14:18:03 +0200

tags 9370 notabug wishlist
thanks

Paul Eggert wrote:
> On 08/24/11 23:15, Eli the Beareded wrote:
>> On any other system I have used the -NUM option can be used with
>> the -f option to specify how many lines of the file as-is to print
>> before starting to follow it for updates.
>
> The interaction between -NUM and other options is so complicated
> and unportable (different editions of the POSIX standards
> disagree!) that GNU 'tail' is fairly conservative about where it
> allows -NUM.  It might be nice to add support for your particular usage,
> if someone wants to write the code, but it'll require some care to make
> sure it doesn't run afoul of existing usage or standard in some other way.
>
> In the meantime I suggest using "tail -f -n NUM", as that's standard
> and portable these days.

I've marked this as a wishlist item.